#pragma once

#include "ItemType.h"

class NoBlockItemType : public ItemType
{
private:
    std::function<Item*()> createItemImp;

public:
    NoBlockItemType(int id,
        const char* name,
        ItemSkillLevelUpRule* levelUp,
        int brokenTypeId,
        ModelInfo model,
        std::function<Item*()> createItemImp);
    Item* createItem() const override;
};